Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] LibreOffice Impress kann keine Videos abspielen

Alles rund um das Thema Multimedia unter Linux

Moderator: Moderatoren

Antworten
Schweineschwarte
Member
Member
Beiträge: 114
Registriert: 13. Jan 2006, 16:41
Wohnort: Berlin
Kontaktdaten:

[gelöst] LibreOffice Impress kann keine Videos abspielen

Beitrag von Schweineschwarte »

Hallo in die Runde!
Ich möchte in einer Präsentation mit LibreOffice Impress mehrere Videos einbauen. Leider kann LibreOffice bei keinem der Videos ein Bild wiedergeben. In einigen Fällen jedoch den Ton. Ich denke stark, dass es an fehlenden Codecs liegt.
Im Netz konnte ich einige Codecs finden, die LibreOffice benötigen soll. Bei GStreamer1.0:

Code: Alles auswählen

gstreamer1.0-plugins-bad, gstreamer1.0-plugins-bad-videoparsers, gstreamer1.0-plugins-bad-faad
gstreamer1.0-plugins-ugly, gstreamer1.0-libav, gstreamer1.0-fluendo-mp3
https://wiki.documentfoundation.org/Media_Support/Linux
Ich habe alle verfügbaren installiert.

Code: Alles auswählen

zypper se -is gstreamer-plugins
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name                         | Type  | Version          | Arch   | Repository
---+------------------------------+-------+------------------+--------+-------------------------------------------------------------
i  | gstreamer-plugins-bad        | Paket | 1.16.3-9.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i+ | gstreamer-plugins-bad-32bit  | Paket | 1.16.3-9.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-bad-lang   | Paket | 1.16.3-9.3.1     | noarch | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-base       | Paket | 1.16.3-4.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i+ | gstreamer-plugins-base-32bit | Paket | 1.16.3-4.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-base-lang  | Paket | 1.16.3-4.3.1     | noarch | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-good       | Paket | 1.16.3-3.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i+ | gstreamer-plugins-good-32bit | Paket | 1.16.3-3.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-good-gtk   | Paket | 1.16.3-3.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-good-lang  | Paket | 1.16.3-3.3.1     | noarch | Update repository with updates from SUSE Linux Enterprise 15
i+ | gstreamer-plugins-libav      | Paket | 1.16.2-pm153.2.4 | x86_64 | Packman Repository
i  | gstreamer-plugins-ugly       | Paket | 1.16.3-3.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i+ | gstreamer-plugins-ugly-32bit | Paket | 1.16.3-3.3.1     | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | gstreamer-plugins-ugly-lang  | Paket | 1.16.3-3.3.1     | noarch | Update repository with updates from SUSE Linux Enterprise 15
Es werden allerdings auch nicht alle angeboten. gstreamer1.0-plugins-bad-videoparsers, gstreamer1.0-plugins-bad-faad und gstreamer1.0-fluendo-mp3 fehlen:

Code: Alles auswählen

zypper se -s videoparsers faad fluendo
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S | Name                   | Type       | Version          | Arch   | Repository
--+------------------------+------------+------------------+--------+-------------------
  | faad2                  | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
  | faad2                  | Quellpaket | 2.10.0-pm153.1.2 | noarch | Packman Repository
  | faad2-debuginfo        | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
  | faad2-debugsource      | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
  | libfaad-devel          | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
i | libfaad2               | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
  | libfaad2-debuginfo     | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
  | libfaad_drm2           | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
  | libfaad_drm2-debuginfo | Paket      | 2.10.0-pm153.1.2 | x86_64 | Packman Repository
Ich nutze folgende Paketquellen:

Code: Alles auswählen

zypper repos
Die Repository-Prioritäten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorität.

#  | Alias                                        | Name                                                                                        | Enabled   | GPG Check       | Refresh
---+----------------------------------------------+---------------------------------------------------------------------------------------------+-----------+-----------------+---------------
 1 | ftp.gwdg.de-openSUSE_Leap_$releasever        | Packman Repository                                                                          | Ja        | (r ) Ja         | Ja
 2 | openSUSE-Leap-15.3-1                         | openSUSE-Leap-15.3-1                                                                        | Nein      | ----            | ----
 3 | openSUSE_Leap_15.3                           | Mozilla                                                                                     | Ja        | (r ) Ja         | Ja
 4 | openSUSE_Leap_15.3_1                         | Signal                                                                                      | Ja        | (r ) Ja         | Ja
 5 | openSUSE_Leap_15.3_2                         | Spiele                                                                                      | Ja        | (r ) Ja         | Ja
 6 | opensuse-guide.org-openSUSE_Leap_$releasever | Libdvdcss Repository                                                                        | Ja        | (r ) Ja         | Ja
 7 | repo-backports-debug-update                  | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | Nein      | ----            | ----
 8 | repo-backports-update                        | Update repository of openSUSE Backports                                                     | Ja        | (r ) Ja         | Ja
 9 | repo-debug                                   | Debug Repository                                                                            | Nein      | ----            | ----
10 | repo-debug-non-oss                           | Debug Repository (Non-OSS)                                                                  | Nein      | ----            | ----
11 | repo-debug-update                            | Update Repository (Debug)                                                                   | Nein      | ----            | ----
12 | repo-debug-update-non-oss                    | Update Repository (Debug, Non-OSS)                                                          | Nein      | ----            | ----
13 | repo-non-oss                                 | Non-OSS Repository                                                                          | Ja        | (r ) Ja         | Ja
14 | repo-oss                                     | Haupt-Repository                                                                            | Ja        | (r ) Ja         | Ja
15 | repo-sle-debug-update                        | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | Nein      | ----            | ----
16 | repo-sle-update                              | Update repository with updates from SUSE Linux Enterprise 15                                | Ja        | (r ) Ja         | Ja
17 | repo-source                                  | Source Repository                                                                           | Nein      | ----            | ----
18 | repo-update                                  | Hauptaktualisierungs-Repository                                                             | Ja        | (r ) Ja         | Ja
19 | repo-update-non-oss                          | Aktualisierungs-Repository (Nicht-Open-Source-Software)                                     | Ja        | (r ) Ja         | Ja
Hat jemand von euch eine Idee, wie ich das Problem lösen kann?
Vielen Dank! :)

Mein System: openSUSE Leap 15.3
LibreOffice:

Code: Alles auswählen

zypper se -is libreoffice
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name                          | Type  | Version                  | Arch   | Repository
---+-------------------------------+-------+--------------------------+--------+-------------------------------------------------------------
i  | libreoffice                   | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-base              | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-branding-openSUSE | Paket | 15.3.20210112-lp153.1.26 | noarch | Haupt-Repository
i  | libreoffice-calc              | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-draw              | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-filters-optional  | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-gnome             | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-gtk2              | Paket | 6.2.7.1-8.10.1           | x86_64 | Haupt-Repository
i  | libreoffice-gtk3              | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i+ | libreoffice-icon-themes       | Paket | 7.1.3.2-14.22.6.1        | noarch | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-impress           | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i+ | libreoffice-l10n-de           | Paket | 7.1.3.2-14.22.6.1        | noarch | Update repository with updates from SUSE Linux Enterprise 15
i+ | libreoffice-l10n-en           | Paket | 7.1.3.2-14.22.6.1        | noarch | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-mailmerge         | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-math              | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-pyuno             | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-qt5               | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
i  | libreoffice-share-linker      | Paket | 1-3.3.1                  | noarch | Haupt-Repository
i  | libreoffice-writer            | Paket | 7.1.3.2-14.22.6.1        | x86_64 | Update repository with updates from SUSE Linux Enterprise 15
Zuletzt geändert von Schweineschwarte am 14. Jul 2021, 21:01, insgesamt 2-mal geändert.
Sauerland
Guru
Guru
Beiträge: 4247
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: LibreOffice Impress kann keine Videos abspielen

Beitrag von Sauerland »

Installier dir mal mediainfo bzw. mediainfo-gui, damit kannst du dann schauen, welchen Codec dein Video benutzt.

Mit der Installation von kf5-mediainfo funktioniert das sogar per rechtsklick im dolphin.......

Code: Alles auswählen

zypper se -si mediain
Repository-Daten werden geladen...
Installierte Pakete werden gelesen...

S  | Name                | Type  | Version         | Arch   | Repository
---+---------------------+-------+-----------------+--------+-----------
i+ | kf5-mediainfo       | Paket | 21.03-bp153.1.1 | x86_64 | OSS
i+ | libmediainfo0       | Paket | 21.03-bp153.1.2 | x86_64 | OSS
i+ | mediainfo           | Paket | 21.03-bp153.1.1 | x86_64 | OSS
i+ | mediainfo-gui       | Paket | 21.03-bp153.1.1 | x86_64 | OSS
i+ | python3-pymediainfo | Paket | 5.1.0-bp153.1.1 | noarch | OSS
Desktop: OpenSUSE Leap 15.3, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.3, Intel-Skylake, Kernel 5.3
Schweineschwarte
Member
Member
Beiträge: 114
Registriert: 13. Jan 2006, 16:41
Wohnort: Berlin
Kontaktdaten:

Re: LibreOffice Impress kann keine Videos abspielen

Beitrag von Schweineschwarte »

mediainfo gibt mir die Auskunft:

Code: Alles auswählen

Video
ID                                       : 1
Format                                   : AVC
Format/Info                              : Advanced Video Codec
Format profile                           : Main@L3.2
Format settings                          : CABAC / 4 Ref Frames
Format settings, CABAC                   : Yes
Format settings, Reference frames        : 4 frames
Codec ID                                 : avc1
Codec ID/Info                            : Advanced Video Coding
Duration                                 : 1 min 3 s
Bit rate                                 : 5 575 kb/s
Width                                    : 1 280 pixels
Height                                   : 720 pixels
Display aspect ratio                     : 16:9
Frame rate mode                          : Constant
Frame rate                               : 25.000 FPS
Standard                                 : PAL
Color space                              : YUV
Chroma subsampling                       : 4:2:0
Bit depth                                : 8 bits
Scan type                                : Progressive
Bits/(Pixel*Frame)                       : 0.242
Stream size                              : 42.2 MiB (97%)
Language                                 : English
Encoded date                             : UTC 2017-08-23 15:34:33
Tagged date                              : UTC 2017-08-23 15:34:33
Color range                              : Limited
Color primaries                          : BT.709
Transfer characteristics                 : BT.709
Matrix coefficients                      : BT.709
Codec configuration box                  : avcC
AVC ist ja auch unter x264 bekannt was wiederum in gstreamer-plugins-ugly enthalten sein sollte.
https://gstreamer.freedesktop.org/docum ... language=c
Aber das habe ich ja installiert... :???:
Schweineschwarte
Member
Member
Beiträge: 114
Registriert: 13. Jan 2006, 16:41
Wohnort: Berlin
Kontaktdaten:

Re: LibreOffice Impress kann keine Videos abspielen

Beitrag von Schweineschwarte »

Nachdem ich alles geschlossen hatte und eine gewisse Zeit mich mit anderen Dingen beschäftigt habe, wollte ich es noch einmal probieren und siehe da: Nun geht es :irre:
Keine Ahnung woran es genau lag. Vielleicht hatte sich vorhin LibreOffice nicht richtig beendet und dadurch mit veralteten Codec-Informationen gearbeitet hat oder so. :???:
Ich danke euch dennoch!
Antworten